| Haskell Hierarchical Libraries (fgl package) | Source code | Contents | Index
Data.Graph.Inductive.Graphviz
Description
Simple graphviz output.
Synopsis
data Orient
= Portrait
| Landscape
graphviz :: (Graph g, Show a, Show b) => g a b -> String -> (Double, Double) -> (Int, Int) -> Orient -> String
graphviz' :: (Graph g, Show a, Show b) => g a b -> String
Documentation
data Orient
Constructors
Portrait |
Landscape |
Instances
Eq Orient
Show Orient
graphviz
:: (Graph g, Show a, Show b) |
=> g a b | The graph to format
-> String | The title of the graph
-> (Double, Double) | The size of the page
-> (Int, Int) | The width and height of the page grid
-> Orient | The orientation of the graph.
-> String |
Formats a graph for use in graphviz.
graphviz' :: (Graph g, Show a, Show b) => g a b -> String
Format a graph for graphviz with reasonable defaults: title of "fgl", 8.5x11 pages, one page, landscape orientation
Produced by Haddock version 0.8